Main Page | Alphabetical List | Data Structures | File List | Data Fields | Globals

# dmxsigio.h File Reference

Go to the source code of this file.

## Functions
void | dmxSigioBlock (void)
void | dmxSigioUnblock (void)
void | dmxSigioEnableInput (void)
void | dmxSigioDisableInput (void)
void | dmxSigioRegister (DMXInputInfo *dmxInput, int fd)
void | dmxSigioUnregister (DMXInputInfo *dmxInput)

## Detailed Description

Interface to SIGIO handling support.

See also:
  dmxsigio.c

## Function Documentation

void dmxSigioBlock | ( | void |  | ) |

| Block SIGIO handling.

void dmxSigioDisableInput | ( | void |  | ) |

| Disable SIGIO handling. This removes the hanlder from the OS.

void dmxSigioEnableInput | ( | void |  | ) |

| Enable SIGIO handling. This instantiates the handler with the OS.

void dmxSigioRegister | ( | DMXInputInfo * | dmxInput,
|  | int | fd
| ) |

| Make a note that the input device described in dmxInput will be using the file descriptor fd for SIGIO signals. Calls AddEnabledDevice ifi SIGIO handling has been enabled with dmxSigioEnableInput().

void dmxSigioUnblock | ( | void |  | ) |

| Unblock SIGIO handling.

void dmxSigioUnregister | ( | DMXInputInfo * | dmxInput | ) |

| Remove the notes that dmxInput is using any file descriptors for SIGIO signals. Calls RemoveEnabledDevice.